/**
 * A middleware handler that can be passed to TanStack Start's `createMiddleware().server(...)` method as [global middleware](https://tanstack.com/start/latest/docs/framework/react/middleware#global-middleware) for instrumenting server functions.
 */
export declare function sentryGlobalServerMiddlewareHandler(): <T>(server: {
    next: (...args: any[]) => T;
}) => T;
/**
 * Wraps a TanStack Start stream handler with Sentry instrumentation that can be passed to `createStartHandler(...)`.
 */
export declare function wrapStreamHandlerWithSentry<H>(handler: H): H;
/**
 * Wraps the create root route function with Sentry for server-client tracing with SSR.
 */
export declare function wrapCreateRootRouteWithSentry<F>(createRootRoute: F): F;
//# sourceMappingURL=index.d.ts.map
