/// <reference types="react" />
export * from '@sentry/node';
/**
 * A passthrough error boundary for the server that doesn't depend on any react. Error boundaries don't catch SSR errors
 * so they should simply be a passthrough.
 */
export declare const ErrorBoundary: (props: React.PropsWithChildren<unknown>) => React.ReactNode;
/**
 * A passthrough redux enhancer for the server that doesn't depend on anything from the `@sentry/react` package.
 */
export declare function createReduxEnhancer(): (createStore: unknown) => unknown;
/**
 * A passthrough error boundary wrapper for the server that doesn't depend on any react. Error boundaries don't catch
 * SSR errors so they should simply be a passthrough.
 */
export declare function withErrorBoundary<P extends Record<string, any>>(WrappedComponent: React.ComponentType<P>): React.FC<P>;
/**
 * Just a passthrough since we're on the server and showing the report dialog on the server doesn't make any sense.
 */
export declare function showReportDialog(): void;
//# sourceMappingURL=index.d.ts.map